Bug 74366 - E-Mail Hyperlink No Longer Works (editing)
Summary: E-Mail Hyperlink No Longer Works (editing)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Stephan Bergmann
URL:
Whiteboard: target:4.3.0 target:4.2.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-02-02 12:02 UTC by Peter Axup
Modified: 2014-02-04 10:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Existing e-mail hyperlink. When editted, it shows as News and the Subject is not edittable. (60.96 KB, image/png)
2014-02-02 12:02 UTC, Peter Axup
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Axup 2014-02-02 12:02:40 UTC
Created attachment 93213 [details]
Existing e-mail hyperlink. When editted, it shows as News and the Subject is not edittable.

Problem description: 
Inserting or editting a hyperlink no longer allows you to have an e-mail hyperlink; only a news hyperlink option is selectable.

Steps to reproduce:
1. Select text
2. Select Insert, Hyperlink, Mail & News
3. Two choices are available, E-mail and News. News radio button is automatically selected, and it cannot be changed to E-mail. 
4. Even when editting an existing e-mail hyperlink, the window opens up with News selected, and the Subject line is grayed out and not edittable.

Current behavior:
See above

Expected behavior:
Should be able to select E-mail radio button and the Subject line should become edittable.

Thank you for the excellent software Libre Office, and especially the Mac version--I appreciate your selfless service!
Peter
Comment 1 Cor Nouws 2014-02-03 14:31:34 UTC
Thanks for reporting Peter.
I confirm the issue in 4.2.0.4 on Ubuntu.
Was OK in 4.1.x

Best,
Cor
Comment 2 Cor Nouws 2014-02-03 14:36:50 UTC
..
Comment 3 Commit Notification 2014-02-03 15:26:38 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=196386efb6592c8ca43d40e27f7888d4809f500c

fdo#74366# Determining bMail was accidentally inverted



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Stephan Bergmann 2014-02-03 15:31:07 UTC
requested backport to libreoffice-4-2 towards LO 4.2.1 at <https://gerrit.libreoffice.org/#/c/7820/>
Comment 5 Commit Notification 2014-02-04 10:37:36 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a054c52a6fc556ddf1383b676e7be533aed69420&h=libreoffice-4-2

fdo#74366# Determining bMail was accidentally inverted


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.